import React, { useState } from 'react';
import { UserOutlined, ShrinkOutlined, DoubleRightOutlined, CarryOutOutlined } from '@ant-design/icons';
import { Row, Col, Card, Statistic } from 'antd';
import { getStatBanner } from "@/service/stat";

export default (props) => {
  const [sum, setSum] = useState({});
  React.useEffect(() => {
    getStatBanner().then((res) => {
      // console.log('user', res)
      setSum(res)
    });
  }, [0]);

  return (
    <Row gutter={24}>
      <Col span={6}>
        <Card>
          <Statistic prefix={<UserOutlined />} title="注册用户" value={sum.user_num} />
        </Card>
      </Col>
      <Col span={6}>
        <Card>
          <Statistic prefix={<ShrinkOutlined />} title="待处理问题单数" value={sum.published_num} />
        </Card>
      </Col>
      <Col span={6}>
        <Card>
          <Statistic prefix={<DoubleRightOutlined />} title="处理中问题单数" value={sum.assigned_num} />
        </Card>
      </Col>
      <Col span={6}>
        <Card>
          <Statistic prefix={<CarryOutOutlined />} title="已办结问题单数" value={sum.unassigned_num} />
        </Card>
      </Col>
    </Row>
  )
}