import React, { useState } from 'react';
import { Card } from 'antd';
import * as echarts from 'echarts/core';
import Chart from '@/components/chart';
import { getStatProblem } from "@/service/stat";

export default (props) => {

  const [option, setOption] = useState({});
  console.log('---------->', option)

  React.useEffect(() => {
    getStatProblem().then((res) => {
      console.log('====================>', res.map(x => x.name))
      setOption({
        tooltip: {
          trigger: 'axis',
          axisPointer: {
            type: 'cross',
            label: {
              backgroundColor: '#FB9900'
            }
          }
        },
        grid: {
          left: '3%',
          bottom: '3%',
          height: '90%',
          width: '90%',
          containLabel: true
        },
        xAxis: [
          {
            type: 'category',
            data: res.map(x => x.name),
            // boundaryGap: true,
            axisTick: {
              alignWithLabel: true,
            },
            axisLabel: {
              interval: 0,
            }
          }
        ],
        yAxis: [
          {
            type: 'value',
            minInterval: 1
          }
        ],
        series: [
          {
            type: 'bar',
            barWidth: '20%',
            itemStyle: {
              color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
                { offset: 0, color: '#FB9900' },
                { offset: 1, color: '#FFD38F' }
              ])
            },
            data: res.map(x => x.value),
          }
        ]
      });
    });
  }, [0]);


  return (
    <Card title="问题分类">
      <Chart option={option} style={props.style}></Chart>
    </Card>
  )
}