import React, { useState } from 'react';
import { Card, DatePicker, Button } from 'antd';
import * as dayjs from 'dayjs';
// import * as isLeapYear from 'dayjs/plugin/isLeapYear' // 导入插件
// import 'dayjs/locale/zh-cn' // 导入本地化语言

export default (props) => {

  const { onChange } = props;

  const { RangePicker } = DatePicker;
  const [date, setDate] = useState([]);

  const updateDate = (dt, typ) => {
    if (onChange) {
      onChange(dt, typ);
    }

    setDate(dt);
  }

  const onWeek = () => {
    updateDate(
      [
        dayjs().startOf('week').add(1, 'day'),
        dayjs().endOf('week').add(1, 'day')
      ],
      1
    );
  }

  const onMonth = () => {
    updateDate([
      dayjs().startOf('month'),
      dayjs().endOf('month')
    ], 2)
    // console.log('fangfang', dayjs().endOf('month'));
  }

  const onYear = () => {
    updateDate([
      dayjs().startOf('year'),
      dayjs().endOf('year')
    ], 3)
    // console.log('fangfang', dayjs().endOf('year'));
  }

  const onRange = (e) => {
    updateDate(e, 0);
  }

  // console.log('data', data)
  return (
    <div>
      <Button onClick={onWeek} type="text">本周</Button>
      <Button onClick={onMonth} type="text">本月</Button>
      <Button onClick={onYear} type="text">本年</Button>
      <RangePicker onChange={onRange} value={date} />
    </div>
  )
}